import mongoose from "mongoose";

const AgentSchema = new mongoose.Schema({
    city: { type: String, required: true, enum: ["Cuttack", "Bhubaneswar"] },
    name: { type: String, required: true },
    email: { type: String, required: true, unique: true },
    mobile: { type: String, required: true },
    vehicle_type: { type: String, required: true, enum: ["Three Wheeler", "Four Wheeler"] },
    aadhar_no: { type: String, required: true, unique: true },

    // Store image paths instead of Buffer
    image: { type: String, required: false },  // Image URL
    aadhar_image: { type: String, required: false }, 
    vehicle_regd_image: { type: String, required: false }, 
    vehicle_insurance_image: { type: String, required: false }, 

    created_at: { type: Date, default: Date.now }
});

// Export the model correctly
const Agent = mongoose.model("Agent", AgentSchema);
export default Agent;
