import mongoose from "mongoose";

const userSchema = new mongoose.Schema({
    email: { type: String, required: true, unique: true },
    password: { type: String },
    
    // OTP fields
    otp: { type: String },
    otpExpiry: { type: Date },

    // Reset Token fields
    resetToken: { type: String, index: true },
    resetTokenExpires: { type: Date, index: true }
});

// Method to set OTP
userSchema.methods.setOTP = function (otp) {
    this.otp = otp;
    this.otpExpiry = Date.now() + 5 * 60 * 1000; // 5 minutes expiry
};

// Method to set Reset Token
userSchema.methods.setResetToken = function (token) {
    this.resetToken = token;
    this.resetTokenExpires = Date.now() + 60 * 60 * 1000; // 1 hour expiry
};

const User = mongoose.model("User", userSchema);
export default User;
