import express from "express";
import { signup, verifyOTP, setPassword,signIn,forgotPassword,resetPassword } from "../controller/otpController.js"; // Corrected folder name
import authenticateToken from "../middlewares/authmiddleware.js"; // Fixed the casing in the import

const router = express.Router();

router.post("/signup", signup);
router.post("/verify-otp", verifyOTP);
router.post("/set-password", authenticateToken, setPassword);
router.post("/signin", signIn);
router.post("/forgot-password", forgotPassword);
router.post("/reset-password", resetPassword);




export default router;
